title: Environment variables are used over dist file defaults

config:
    env-map:
        boolean: IC_TEST_BOOL
        foo: IC_TEST_FOO
        nested: IC_TEST_NESTED
        another: IC_TEST_NOT_SET

environment:
    IC_TEST_BOOL: 'true'
    IC_TEST_FOO: 'foobar'
    IC_TEST_NESTED: '{foo: env_foo, bar: [env, test, null]}'
